ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Core.Rules.Config

Synopsis

- data RuleOpts = RuleOpts {
  - roPlatform :: !Platform
  - roNumConstantFolding :: !Bool
  - roExcessRationalPrecision :: !Bool
  - roBignumRules :: !Bool
  }

# Documentation

data RuleOpts Source #

Rule options

Constructors

RuleOpts |

Fields

- roPlatform :: !Platform

  Target platform

- roNumConstantFolding :: !Bool

  Enable more advanced numeric constant folding

- roExcessRationalPrecision :: !Bool

  Cut down precision of Rational values to that of Float/Double if disabled

- roBignumRules :: !Bool

  Enable rules for bignums